<template>
  <div v-if="author || customer" class="clients">
    <nuxt-link v-if="author" :to="localePath(`/users/${author.id}`)">
      <div class="clients__photo">
        <Avatar :user="author" :size="60" />
      </div>
      <div>
        <div class="clients__sub">Photographer</div>
        <div class="clients__title">
          <template v-if="author.display_name">
            {{ author.display_name }}
          </template>
          <template v-else>
            {{ author.username }}
          </template>
        </div>
      </div>
    </nuxt-link>
    <nuxt-link v-if="customer" :to="localePath(`/users/${customer.id}`)">
      <div class="clients__photo">
        <Avatar :user="customer" :size="60" />
      </div>
      <div>
        <div class="clients__sub">Client</div>
        <div class="clients__title">
          <template v-if="customer.display_name">
            {{ customer.display_name }}
          </template>
          <template v-else>
            {{ customer.username }}
          </template>
        </div>
      </div>
    </nuxt-link>
  </div>
</template>
<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'
import Avatar from '@/components/ui/Avatar.vue'

export default defineComponent<{
  customer: Array<String>
  author: Array<String>
}>({
  name: 'ClientsEvent',
  props: ['customer', 'author'],
  components: {
    Avatar
  },
  setup() {
    return {}
  }
})
</script>

<style lang="scss" scoped>
.clients {
  margin-right: -30px;
  margin-left: -30px;
  padding-left: 30px;
  margin-bottom: 30px;
  display: flex;
  align-items: center;
  white-space: nowrap;
  overflow-x: auto;
  overflow-y: hidden;

  &:last-child {
    margin-bottom: 0px;
  }

  > * {
    display: flex;
    align-items: center;
    padding-right: 30px;
    font-size: 0px;
  }

  @media (min-width: 1199.98px) {
    margin-right: -50px;

    > * {
      padding-right: 50px;
    }
  }

  &__sub {
    font-size: 18px;
    line-height: 23px;
    font-weight: 500;
    letter-spacing: 0px;
    color: #9badd6;
  }

  &__title {
    font-size: 24px;
    line-height: 30px;
    color: #ffffff;
  }

  &__photo {
    margin-right: 25px;
    font-size: 0;
  }
}
</style>
